import request from '@/utils/request'

// 查询enterprise列表
export function listEnterprise(query) {
  return request({
    url: '/enterprise/enterprise/list',
    method: 'get',
    params: query
  })
}

// 查询enterprise详细
export function getEnterprise(id) {
  return request({
    url: '/enterprise/enterprise/' + id,
    method: 'get'
  })
}

// 新增enterprise
export function addEnterprise(data) {
  return request({
    url: '/enterprise/enterprise',
    method: 'post',
    data: data
  })
}

// 修改enterprise
export function updateEnterprise(data) {
  return request({
    url: '/enterprise/enterprise',
    method: 'put',
    data: data
  })
}

// 删除enterprise
export function delEnterprise(id) {
  return request({
    url: '/enterprise/enterprise/' + id,
    method: 'delete'
  })
}
